Page MenuHomePhabricator

Please make me a list of the users who gave feedback on the LQT boards at https://www.mediawiki.org/wiki/VisualEditor/Feedback
Closed, ResolvedPublic

Description

We need to involve top VE feedback givers at mw.org, but the feedback page there is a LiquidThreads board, and therefore I don't know where to look to understand who the most active editors are. @werdna, maybe you can explain that to us? :)
(Forked from https://phabricator.wikimedia.org/T92685 ).

Event Timeline

Elitre created this task.Mar 23 2015, 4:02 PM
Elitre assigned this task to Ironholds.
Elitre raised the priority of this task from to Needs Triage.
Elitre updated the task description. (Show Details)
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptMar 23 2015, 4:02 PM
Ironholds triaged this task as High priority.Mar 25 2015, 6:44 PM

Worked out how to get it; I'll be able to get the list to you de-duped, but working out what their "native" wiki is is...not an easy task.

Thank you. Rather than seeing you add the Epic tag to this task, I'll probably live anyway if I can only deliver to their mw.org talk pages.

Try this?

Doesn't look right? This user, for example, is a regular there, and he's not on the list.

Thaat's interesting. Hrm.

Okay, this is REALLY WEIRD. @werdna how the heck does this setup work?

At the moment I'm running:

SELECT th_user_text AS username, COUNT(*) AS edits FROM thread_history WHERE th_id IN(SELECT DISTINCT(thread_id) FROM thread WHERE thread_article_title = 'VisualEditor/Feedback')
AND th_user > 0 AND th_user_text NOT LIKE('%WMF%') GROUP BY th_user_text ORDER BY COUNT(*) DESC;

And it's missing a ton of users.

I dunno, have the pages been moved around a lot? You might also want to check thread_article_id (WHERE thread_article_title=X OR thread_article_id=X).

Check the Threads::articleClause method for the "correct" way to see if a thread is on a particular talk page.

Yeah, I've been using *_id too; same problem. This is really weird :/.

Elitre added a subscriber: Halfak.Mar 30 2015, 8:41 PM

Yo, @Halfak, do you have any ideas for this task? Thanks!

Sorry. I've never done any analysis of LQT before.

@Ironholds I'm happy to play with this with you if we get a chance.

Sure; how/when/etc?

Halfak removed a subscriber: Halfak.Apr 1 2015, 3:26 PM

I have data! Because Werdna is werdnaful :D.

(Elitre: the user you highlighted isn't in the set because they're in the "switched" dataset, looks like)

Elitre closed this task as Resolved.Apr 3 2015, 10:35 AM
Elitre awarded a token.

uploading the queries I used for future reference